Loading...
Searching...
No Matches
PublicSession Class Reference

## Public Member Functions

| __construct ()
| AllowedTo ( $whatever)

## Public Attributes

| $username
| $user_no
| $principal_id
| $email
| $fullname
| $groups
| $principal

## Private Attributes

| $dav_name
| $roles
| $logged_in

## Detailed Description

Definition at line 17 of file PublicSession.php.

## Constructor & Destructor Documentation

## __construct()

PublicSession::__construct | ( |  | ) |

#- The constructor, which just calls the actual type configured

Definition at line 70 of file PublicSession.php.

## Member Function Documentation

## AllowedTo()

PublicSession::AllowedTo | ( |  | $whatever | ) |

Checks whether a user is allowed to do something.

The check is performed to see if the user has that role.

Parameters

  string | $whatever | The role we want to know if the user has.

Returns
  boolean Whether or not the user has the specified role.

Definition at line 101 of file PublicSession.php.

## Member Data Documentation

## $dav_name

PublicSession::$dav_name

private

Definition at line 61 of file PublicSession.php.

## $email

PublicSession::$email

Definition at line 44 of file PublicSession.php.

## $fullname

PublicSession::$fullname

Definition at line 50 of file PublicSession.php.

## $groups

PublicSession::$groups

Definition at line 56 of file PublicSession.php.

## $logged_in

PublicSession::$logged_in

private

Definition at line 64 of file PublicSession.php.

## $principal

PublicSession::$principal

Definition at line 62 of file PublicSession.php.

## $principal_id

PublicSession::$principal_id

Definition at line 38 of file PublicSession.php.

## $roles

PublicSession::$roles

private

Definition at line 63 of file PublicSession.php.

## $user_no

PublicSession::$user_no

Definition at line 32 of file PublicSession.php.

## $username

PublicSession::$username

Definition at line 26 of file PublicSession.php.

The documentation for this class was generated from the following file:

- inc/PublicSession.php